Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

classic Classic list List threaded Threaded
19 messages Options
Reply | Threaded
Open this post in threaded view
|

Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

Asle Benoni-2
Hello,
I upgraded today to Yosemite and now Lasso 8.6.3 will not start. I guess this is because the Lasso apache module is for apache 2.2 and not 2.4

httpd: Syntax error on line 542 of /private/etc/apache2/httpd.conf: Syntax error on line 7 of /private/etc/apache2/users/lasso8.conf: API module structure 'lasso8_module' in file /usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled - expected signature 41503234 but saw 41503232 - perhaps this is not an Apache module DSO, or was compiled for a different Apache version?

I read someone has compiled the Lasso8ConnectorforApache2.2.so for the apache 2.4. Is there any place I can download this?

/asle benoni

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

Jolle Carlestam-2
17 okt 2014 kl. 15:32 skrev Asle Benoni <[hidden email]>:

> I upgraded today to Yosemite

As a general suggestion to listers, it would be wise to wait with a Yosemite upgrade until Lassosoft publicly announce support for it. Saves you from being the cannon fodder sent out before the main assault troops.

As another general suggestion, it would be wise to wait with a Yosemite upgrade until other early adopters have found all the bugs that inevitably creep up after each new major OS version. Go for 10.10.1 or even better 10.10.2 instead.

HDB
Jolle

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

stevepiercy
In reply to this post by Asle Benoni-2
On 10/17/14 at 3:32 PM, [hidden email] (Asle Benoni) pronounced:

>Hello,
>I upgraded today to Yosemite and now Lasso 8.6.3 will not
>start. I guess this is because the Lasso apache module is for
>apache 2.2 and not 2.4

Yup.

>httpd: Syntax error on line 542 of
>/private/etc/apache2/httpd.conf: Syntax error on line 7 of
>/private/etc/apache2/users/lasso8.conf: API module structure
>'lasso8_module' in file
>/usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled
>- expected signature 41503234 but saw 41503232 - perhaps this
>is not an Apache module DSO, or was compiled for a different
>Apache version?
>I read someone has compiled the Lasso8ConnectorforApache2.2.so
>for the apache 2.4. Is there any place I can download this?

I don't know whether anyone except LassoSoft has ever built the
connector for Lasso 8 from source.  Hopefully someone chimes
in.  However, according to:
http://www.lassosoft.com/Versions
...Mac OS X 10.8 is the latest version supported for Lasso 8.6.

You might have seen this article, but it is for Lasso 9.  Maybe
some of these steps are transferrable?
http://www.stevepiercy.com/articles/configuring-lasso-9apache-24-on-rhel-64-or-centos-64/#build-the-lasso-9-connector-from-source

Or you might have remembered digging around to find the
connector for Apache 2.2 (alas, no 2.4).
http://lasso.2283332.n4.nabble.com/OT-after-upgrading-to-Mavericks-can-no-longer-run-apachectl-commands-in-terminal-tp4640642p4640666.html

--steve


>/asle benoni
>
>#############################################################
>
>This message is sent to you because you are subscribed to
>the mailing list Lasso [hidden email]
>Official list archives available at http://www.lassotalk.com
>To unsubscribe, E-mail to: <[hidden email]>
>Send administrative queries to  <[hidden email]>

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
Steve Piercy              Website Builder              Soquel, CA
<[hidden email]>               <http://www.StevePiercy.com/>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

maxwellk2
In reply to this post by Asle Benoni-2
Would be great to get a Lasso 8 connector for Apache 2.4.

A possible workaround in the meantime might be to disable Apache 2.4 and install Apache 2.2 separately via MacPorts or Homebrew. I got it mostly working a couple years ago but don’t recall all the steps, it hurt my head, but I’m pretty sure it’s doable if you’re familiar with the command line and have some spare time.

-Max



> On Oct 17, 2014, at 6:32 AM, Asle Benoni <[hidden email]> wrote:
>
> Hello,
> I upgraded today to Yosemite and now Lasso 8.6.3 will not start. I guess this is because the Lasso apache module is for apache 2.2 and not 2.4
>
> httpd: Syntax error on line 542 of /private/etc/apache2/httpd.conf: Syntax error on line 7 of /private/etc/apache2/users/lasso8.conf: API module structure 'lasso8_module' in file /usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled - expected signature 41503234 but saw 41503232 - perhaps this is not an Apache module DSO, or was compiled for a different Apache version?
>
> I read someone has compiled the Lasso8ConnectorforApache2.2.so for the apache 2.4. Is there any place I can download this?
>
> /asle benoni
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

Brad Lindsay
I've built the connector for Lasso 8.5 and Apache 2.4. Unfortunately I
did this six months ago and don't remember what exactly I did. If I
remember correctly, the source code for the connector comes with the
installation. Also, I think there was one Apache API call I had to
update in the code to get it to compile, but after that it appears to
work just fine. I did this for my local development machine, but I can't
recommend doing this for a production machine - for that you should use
something that is supported by LassoSoft.

Hope that helps,
Brad


On 10/17/14, 5:52 PM, Maxwell Klein wrote:

> Would be great to get a Lasso 8 connector for Apache 2.4.
>
> A possible workaround in the meantime might be to disable Apache 2.4 and install Apache 2.2 separately via MacPorts or Homebrew. I got it mostly working a couple years ago but don’t recall all the steps, it hurt my head, but I’m pretty sure it’s doable if you’re familiar with the command line and have some spare time.
>
> -Max
>
>
>
>> On Oct 17, 2014, at 6:32 AM, Asle Benoni<[hidden email]>  wrote:
>>
>> Hello,
>> I upgraded today to Yosemite and now Lasso 8.6.3 will not start. I guess this is because the Lasso apache module is for apache 2.2 and not 2.4
>>
>> httpd: Syntax error on line 542 of /private/etc/apache2/httpd.conf: Syntax error on line 7 of /private/etc/apache2/users/lasso8.conf: API module structure 'lasso8_module' in file /usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled - expected signature 41503234 but saw 41503232 - perhaps this is not an Apache module DSO, or was compiled for a different Apache version?
>>
>> I read someone has compiled the Lasso8ConnectorforApache2.2.so for the apache 2.4. Is there any place I can download this?
>>
>> /asle benoni
>>
>> #############################################################
>>
>> This message is sent to you because you are subscribed to
>>   the mailing list Lasso [hidden email]
>> Official list archives available at http://www.lassotalk.com
>> To unsubscribe, E-mail to:<[hidden email]>
>> Send administrative queries to<[hidden email]>
>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>    the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to:<[hidden email]>
> Send administrative queries to<[hidden email]>

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

Brad Lindsay
So I found the source code in "Lasso Professional 8/Documentation/3 -
Language Guide/Examples/LCAPI/Connectors/Lasso Connector for Apache 2".
It looks like you have to replace "remote_ip" with "client_ip" on line
485 and line 522 to get it to compile. (And, of course, you need the
developer tools installed to compile)

When it compiles, the name will be "Lasso8ConnectorforApache2.2.so". I
would rename it to "Lasso8ConnectorforApache2.4.so", throw it in
"/usr/libexec/apache2", update the Apache configuration, and restart
Apache. Your milage may vary.


Brad


On 10/17/14, 7:00 PM, Brad Lindsay wrote:

> I've built the connector for Lasso 8.5 and Apache 2.4. Unfortunately I
> did this six months ago and don't remember what exactly I did. If I
> remember correctly, the source code for the connector comes with the
> installation. Also, I think there was one Apache API call I had to
> update in the code to get it to compile, but after that it appears to
> work just fine. I did this for my local development machine, but I can't
> recommend doing this for a production machine - for that you should use
> something that is supported by LassoSoft.
>
> Hope that helps,
> Brad
>
>
> On 10/17/14, 5:52 PM, Maxwell Klein wrote:
>> Would be great to get a Lasso 8 connector for Apache 2.4.
>>
>> A possible workaround in the meantime might be to disable Apache 2.4
>> and install Apache 2.2 separately via MacPorts or Homebrew. I got it
>> mostly working a couple years ago but don’t recall all the steps, it
>> hurt my head, but I’m pretty sure it’s doable if you’re familiar with
>> the command line and have some spare time.
>>
>> -Max
>>
>>
>>
>>> On Oct 17, 2014, at 6:32 AM, Asle Benoni<[hidden email]> wrote:
>>>
>>> Hello,
>>> I upgraded today to Yosemite and now Lasso 8.6.3 will not start. I
>>> guess this is because the Lasso apache module is for apache 2.2 and
>>> not 2.4
>>>
>>> httpd: Syntax error on line 542 of /private/etc/apache2/httpd.conf:
>>> Syntax error on line 7 of /private/etc/apache2/users/lasso8.conf: API
>>> module structure 'lasso8_module' in file
>>> /usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled -
>>> expected signature 41503234 but saw 41503232 - perhaps this is not an
>>> Apache module DSO, or was compiled for a different Apache version?
>>>
>>> I read someone has compiled the Lasso8ConnectorforApache2.2.so for
>>> the apache 2.4. Is there any place I can download this?
>>>
>>> /asle benoni
>>>
>>> #############################################################
>>>
>>> This message is sent to you because you are subscribed to
>>> the mailing list Lasso [hidden email]
>>> Official list archives available at http://www.lassotalk.com
>>> To unsubscribe, E-mail to:<[hidden email]>
>>> Send administrative queries to<[hidden email]>
>>
>>
>> #############################################################
>>
>> This message is sent to you because you are subscribed to
>> the mailing list Lasso [hidden email]
>> Official list archives available at http://www.lassotalk.com
>> To unsubscribe, E-mail to:<[hidden email]>
>> Send administrative queries to<[hidden email]>

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

asle
I have compiled Lasso connector for Apache 2.4 and it is here:

https://www.dropbox.com/s/moweda213oqjrp3/Lasso8ConnectorforApache2.4.so.zip?dl=0

~asle

2014-10-18 1:10 GMT+02:00 Brad Lindsay <[hidden email]>:

> So I found the source code in "Lasso Professional 8/Documentation/3 -
> Language Guide/Examples/LCAPI/Connectors/Lasso Connector for Apache 2".
> It looks like you have to replace "remote_ip" with "client_ip" on line 485
> and line 522 to get it to compile. (And, of course, you need the developer
> tools installed to compile)
>
> When it compiles, the name will be "Lasso8ConnectorforApache2.2.so". I
> would rename it to "Lasso8ConnectorforApache2.4.so", throw it in
> "/usr/libexec/apache2", update the Apache configuration, and restart
> Apache. Your milage may vary.
>
>
> Brad
>
>
>
> On 10/17/14, 7:00 PM, Brad Lindsay wrote:
>
>> I've built the connector for Lasso 8.5 and Apache 2.4. Unfortunately I
>> did this six months ago and don't remember what exactly I did. If I
>> remember correctly, the source code for the connector comes with the
>> installation. Also, I think there was one Apache API call I had to
>> update in the code to get it to compile, but after that it appears to
>> work just fine. I did this for my local development machine, but I can't
>> recommend doing this for a production machine - for that you should use
>> something that is supported by LassoSoft.
>>
>> Hope that helps,
>> Brad
>>
>>
>> On 10/17/14, 5:52 PM, Maxwell Klein wrote:
>>
>>> Would be great to get a Lasso 8 connector for Apache 2.4.
>>>
>>> A possible workaround in the meantime might be to disable Apache 2.4
>>> and install Apache 2.2 separately via MacPorts or Homebrew. I got it
>>> mostly working a couple years ago but don’t recall all the steps, it
>>> hurt my head, but I’m pretty sure it’s doable if you’re familiar with
>>> the command line and have some spare time.
>>>
>>> -Max
>>>
>>>
>>>
>>>  On Oct 17, 2014, at 6:32 AM, Asle Benoni<[hidden email]> wrote:
>>>>
>>>> Hello,
>>>> I upgraded today to Yosemite and now Lasso 8.6.3 will not start. I
>>>> guess this is because the Lasso apache module is for apache 2.2 and
>>>> not 2.4
>>>>
>>>> httpd: Syntax error on line 542 of /private/etc/apache2/httpd.conf:
>>>> Syntax error on line 7 of /private/etc/apache2/users/lasso8.conf: API
>>>> module structure 'lasso8_module' in file
>>>> /usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled -
>>>> expected signature 41503234 but saw 41503232 - perhaps this is not an
>>>> Apache module DSO, or was compiled for a different Apache version?
>>>>
>>>> I read someone has compiled the Lasso8ConnectorforApache2.2.so for
>>>> the apache 2.4. Is there any place I can download this?
>>>>
>>>> /asle benoni
>>>>
>>>> #############################################################
>>>>
>>>> This message is sent to you because you are subscribed to
>>>> the mailing list Lasso [hidden email]
>>>> Official list archives available at http://www.lassotalk.com
>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>> Send administrative queries to<[hidden email]>
>>>>
>>>
>>>
>>> #############################################################
>>>
>>> This message is sent to you because you are subscribed to
>>> the mailing list Lasso [hidden email]
>>> Official list archives available at http://www.lassotalk.com
>>> To unsubscribe, E-mail to:<[hidden email]>
>>> Send administrative queries to<[hidden email]>
>>>
>>
> #############################################################
>
> This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>
>

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

Asle Benoni-2
In reply to this post by Brad Lindsay
I have compiled Lasso connector for Apache 2.4 and it is here for download:

https://www.dropbox.com/s/moweda213oqjrp3/Lasso8ConnectorforApache2.4.so.zip?dl=0

~asle

> 18. okt. 2014 kl. 01.10 skrev Brad Lindsay <[hidden email]>:
>
> So I found the source code in "Lasso Professional 8/Documentation/3 - Language Guide/Examples/LCAPI/Connectors/Lasso Connector for Apache 2". It looks like you have to replace "remote_ip" with "client_ip" on line 485 and line 522 to get it to compile. (And, of course, you need the developer tools installed to compile)
>
> When it compiles, the name will be "Lasso8ConnectorforApache2.2.so". I would rename it to "Lasso8ConnectorforApache2.4.so", throw it in "/usr/libexec/apache2", update the Apache configuration, and restart Apache. Your milage may vary.
>
>
> Brad
>
>
> On 10/17/14, 7:00 PM, Brad Lindsay wrote:
>> I've built the connector for Lasso 8.5 and Apache 2.4. Unfortunately I
>> did this six months ago and don't remember what exactly I did. If I
>> remember correctly, the source code for the connector comes with the
>> installation. Also, I think there was one Apache API call I had to
>> update in the code to get it to compile, but after that it appears to
>> work just fine. I did this for my local development machine, but I can't
>> recommend doing this for a production machine - for that you should use
>> something that is supported by LassoSoft.
>>
>> Hope that helps,
>> Brad
>>
>>
>> On 10/17/14, 5:52 PM, Maxwell Klein wrote:
>>> Would be great to get a Lasso 8 connector for Apache 2.4.
>>>
>>> A possible workaround in the meantime might be to disable Apache 2.4
>>> and install Apache 2.2 separately via MacPorts or Homebrew. I got it
>>> mostly working a couple years ago but don’t recall all the steps, it
>>> hurt my head, but I’m pretty sure it’s doable if you’re familiar with
>>> the command line and have some spare time.
>>>
>>> -Max
>>>
>>>
>>>
>>>> On Oct 17, 2014, at 6:32 AM, Asle Benoni<[hidden email]> wrote:
>>>>
>>>> Hello,
>>>> I upgraded today to Yosemite and now Lasso 8.6.3 will not start. I
>>>> guess this is because the Lasso apache module is for apache 2.2 and
>>>> not 2.4
>>>>
>>>> httpd: Syntax error on line 542 of /private/etc/apache2/httpd.conf:
>>>> Syntax error on line 7 of /private/etc/apache2/users/lasso8.conf: API
>>>> module structure 'lasso8_module' in file
>>>> /usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled -
>>>> expected signature 41503234 but saw 41503232 - perhaps this is not an
>>>> Apache module DSO, or was compiled for a different Apache version?
>>>>
>>>> I read someone has compiled the Lasso8ConnectorforApache2.2.so for
>>>> the apache 2.4. Is there any place I can download this?
>>>>
>>>> /asle benoni
>>>>
>>>> #############################################################
>>>>
>>>> This message is sent to you because you are subscribed to
>>>> the mailing list Lasso [hidden email]
>>>> Official list archives available at http://www.lassotalk.com
>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>> Send administrative queries to<[hidden email]>
>>>
>>>
>>> #############################################################
>>>
>>> This message is sent to you because you are subscribed to
>>> the mailing list Lasso [hidden email]
>>> Official list archives available at http://www.lassotalk.com
>>> To unsubscribe, E-mail to:<[hidden email]>
>>> Send administrative queries to<[hidden email]>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
> the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Lost processing from Lasso 8.5.6

Henning Jakobsen
In reply to this post by asle

A question from a pretty unskilled hostmaster.

A few days ago I lost my Lasso 8.5.6 and browsing any .lasso pages on the
web server gives me only source code in the browser screen - no nicely
formatted pages. The Lasso Pro is no longer processing the calls from
Apache.

The setup:
    Mac OS X Server 10.6.2 on a Xserve 2 x 2,66 GHz Quad Core.
    Filemaker Server Advanced (v.11) as a worker (2 machine deployment)
    Lasso 8.5.6

I probably messed up trying to upgrade from Filemaker server v.10 to v.11,
doing an uninstall of FMS v.10 and a full install of v.11.  The
two-machine-deployment is always a battle, but has worked for me for years.

The lasso consequences occurred after this. I'm not sure why the FMS upgrade
killed the Lasso application.

2 questions:

    - Is there a way to bring Lasso back to life without a re-install..?

    - If re-installing Lasso 8.5.6, will I lose setup, internal Lasso
      SQLite databases and all database setup info for the databases
      in use via the Filemaker SA connector..?


Happy for ideas an help...

    / Henning



Henning Jakobsen
Zensit Media ANS
Ski - Oslo - Norway
T: +47 2220 8090
M: +47 9002 8090
www.zensit.no




#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lost processing from Lasso 8.5.6

Marc Vos-3
Hmm, if you see the source code it would mean that Apache no longer knows what to do with .lasso files

You can check manually:
- Is lasso 8 still included in /etc/apache2/httpd.conf
- Is the lasso8.conf still present in /etc/apache2/users or /etc/apache2/other
- etc.

Or you can re-install Lasso 8 (do *not* uninstall first)

- -
Regards,
Marc




On 10 dec. 2014, at 12:47, Henning Jakobsen <[hidden email]> wrote:

>
> A question from a pretty unskilled hostmaster.
>
> A few days ago I lost my Lasso 8.5.6 and browsing any .lasso pages on the
> web server gives me only source code in the browser screen - no nicely
> formatted pages. The Lasso Pro is no longer processing the calls from
> Apache.
>
> The setup:
>    Mac OS X Server 10.6.2 on a Xserve 2 x 2,66 GHz Quad Core.
>    Filemaker Server Advanced (v.11) as a worker (2 machine deployment)
>    Lasso 8.5.6
>
> I probably messed up trying to upgrade from Filemaker server v.10 to v.11,
> doing an uninstall of FMS v.10 and a full install of v.11.  The
> two-machine-deployment is always a battle, but has worked for me for years.
>
> The lasso consequences occurred after this. I'm not sure why the FMS upgrade
> killed the Lasso application.
>
> 2 questions:
>
>    - Is there a way to bring Lasso back to life without a re-install..?
>
>    - If re-installing Lasso 8.5.6, will I lose setup, internal Lasso
>      SQLite databases and all database setup info for the databases
>      in use via the Filemaker SA connector..?
>
>
> Happy for ideas an help...
>
>    / Henning
>
>
>
> Henning Jakobsen
> Zensit Media ANS
> Ski - Oslo - Norway
> T: +47 2220 8090
> M: +47 9002 8090
> www.zensit.no
>
>
>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lost processing from Lasso 8.5.6

Henning Jakobsen

Thanks Marc -

You sent me in the right direction. Surely Filemaker doesn't care if anybody
else use the httpd.conf to give their information.

My upgrade to Filemaker v.11 just cut the old tail of httpd.conf (where also
Lasso had their info to Apache) and Filemaker-install only added the updated
info about FMS 11 back on the the end of the file.

So you were right - Apache didn't have any information about what to do with
.lasso-files.  Now everything is back up - didn't lose a byte.


Best regards
   
    / Henning



On 10.12.2014 13:27, "Marc Vos" <[hidden email]> wrote:

> Hmm, if you see the source code it would mean that Apache no longer knows what
> to do with .lasso files
>
> You can check manually:
> - Is lasso 8 still included in /etc/apache2/httpd.conf
> - Is the lasso8.conf still present in /etc/apache2/users or /etc/apache2/other
> - etc.
>
> Or you can re-install Lasso 8 (do *not* uninstall first)
>
> - -
> Regards,
> Marc
>
>
>
>
> On 10 dec. 2014, at 12:47, Henning Jakobsen <[hidden email]> wrote:
>
>>
>> A question from a pretty unskilled hostmaster.
>>
>> A few days ago I lost my Lasso 8.5.6 and browsing any .lasso pages on the
>> web server gives me only source code in the browser screen - no nicely
>> formatted pages. The Lasso Pro is no longer processing the calls from
>> Apache.
>>
>> The setup:
>>    Mac OS X Server 10.6.2 on a Xserve 2 x 2,66 GHz Quad Core.
>>    Filemaker Server Advanced (v.11) as a worker (2 machine deployment)
>>    Lasso 8.5.6
>>
>> I probably messed up trying to upgrade from Filemaker server v.10 to v.11,
>> doing an uninstall of FMS v.10 and a full install of v.11.  The
>> two-machine-deployment is always a battle, but has worked for me for years.
>>
>> The lasso consequences occurred after this. I'm not sure why the FMS upgrade
>> killed the Lasso application.
>>
>> 2 questions:
>>
>>    - Is there a way to bring Lasso back to life without a re-install..?
>>
>>    - If re-installing Lasso 8.5.6, will I lose setup, internal Lasso
>>      SQLite databases and all database setup info for the databases
>>      in use via the Filemaker SA connector..?
>>
>>
>> Happy for ideas an help...
>>
>>    / Henning
>>
>>
>>
>> Henning Jakobsen
>> Zensit Media ANS
>> Ski - Oslo - Norway
>> T: +47 2220 8090
>> M: +47 9002 8090
>> www.zensit.no
>>
>>
>>
>>
>> #############################################################
>>
>> This message is sent to you because you are subscribed to
>>  the mailing list Lasso [hidden email]
>> Official list archives available at http://www.lassotalk.com
>> To unsubscribe, E-mail to: <[hidden email]>
>> Send administrative queries to  <[hidden email]>
>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>   the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>



#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

Lee Glickenhaus-2
In reply to this post by Asle Benoni-2
many thanks Asle


> On Dec 8, 2014, at 4:14 PM, Asle Benoni <[hidden email]> wrote:
>
> I have compiled Lasso connector for Apache 2.4 and it is here for download:
>
> https://www.dropbox.com/s/moweda213oqjrp3/Lasso8ConnectorforApache2.4.so.zip?dl=0
>
> ~asle
>
>> 18. okt. 2014 kl. 01.10 skrev Brad Lindsay <[hidden email]>:
>>
>> So I found the source code in "Lasso Professional 8/Documentation/3 - Language Guide/Examples/LCAPI/Connectors/Lasso Connector for Apache 2". It looks like you have to replace "remote_ip" with "client_ip" on line 485 and line 522 to get it to compile. (And, of course, you need the developer tools installed to compile)
>>
>> When it compiles, the name will be "Lasso8ConnectorforApache2.2.so". I would rename it to "Lasso8ConnectorforApache2.4.so", throw it in "/usr/libexec/apache2", update the Apache configuration, and restart Apache. Your milage may vary.
>>
>>
>> Brad
>>
>>
>> On 10/17/14, 7:00 PM, Brad Lindsay wrote:
>>> I've built the connector for Lasso 8.5 and Apache 2.4. Unfortunately I
>>> did this six months ago and don't remember what exactly I did. If I
>>> remember correctly, the source code for the connector comes with the
>>> installation. Also, I think there was one Apache API call I had to
>>> update in the code to get it to compile, but after that it appears to
>>> work just fine. I did this for my local development machine, but I can't
>>> recommend doing this for a production machine - for that you should use
>>> something that is supported by LassoSoft.
>>>
>>> Hope that helps,
>>> Brad
>>>
>>>
>>> On 10/17/14, 5:52 PM, Maxwell Klein wrote:
>>>> Would be great to get a Lasso 8 connector for Apache 2.4.
>>>>
>>>> A possible workaround in the meantime might be to disable Apache 2.4
>>>> and install Apache 2.2 separately via MacPorts or Homebrew. I got it
>>>> mostly working a couple years ago but don’t recall all the steps, it
>>>> hurt my head, but I’m pretty sure it’s doable if you’re familiar with
>>>> the command line and have some spare time.
>>>>
>>>> -Max
>>>>
>>>>
>>>>
>>>>> On Oct 17, 2014, at 6:32 AM, Asle Benoni<[hidden email]> wrote:
>>>>>
>>>>> Hello,
>>>>> I upgraded today to Yosemite and now Lasso 8.6.3 will not start. I
>>>>> guess this is because the Lasso apache module is for apache 2.2 and
>>>>> not 2.4
>>>>>
>>>>> httpd: Syntax error on line 542 of /private/etc/apache2/httpd.conf:
>>>>> Syntax error on line 7 of /private/etc/apache2/users/lasso8.conf: API
>>>>> module structure 'lasso8_module' in file
>>>>> /usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled -
>>>>> expected signature 41503234 but saw 41503232 - perhaps this is not an
>>>>> Apache module DSO, or was compiled for a different Apache version?
>>>>>
>>>>> I read someone has compiled the Lasso8ConnectorforApache2.2.so for
>>>>> the apache 2.4. Is there any place I can download this?
>>>>>
>>>>> /asle benoni
>>>>>
>>>>> #############################################################
>>>>>
>>>>> This message is sent to you because you are subscribed to
>>>>> the mailing list Lasso [hidden email]
>>>>> Official list archives available at http://www.lassotalk.com
>>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>>> Send administrative queries to<[hidden email]>
>>>>
>>>>
>>>> #############################################################
>>>>
>>>> This message is sent to you because you are subscribed to
>>>> the mailing list Lasso [hidden email]
>>>> Official list archives available at http://www.lassotalk.com
>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>> Send administrative queries to<[hidden email]>
>>
>> #############################################################
>>
>> This message is sent to you because you are subscribed to
>> the mailing list Lasso [hidden email]
>> Official list archives available at http://www.lassotalk.com
>> To unsubscribe, E-mail to: <[hidden email]>
>> Send administrative queries to  <[hidden email]>
>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

Peter D Bethke
I just went through this process myself - it works but its a pain because yosemite overwrites the existing http.conf file.

Gotchas included re-activating the mod_rewrite mod (apache just throws an ISE - not very helpful. Was able to identify issue from looking at apache console), and also there seemed to be a syntax change that made a <directory> block not apply permissions correctly. That was fixed by copying the new default block parameters to my custom block.

Peter

> On Dec 17, 2014, at 3:52 PM, Lee Glickenhaus <[hidden email]> wrote:
>
> many thanks Asle
>
>
>> On Dec 8, 2014, at 4:14 PM, Asle Benoni <[hidden email]> wrote:
>>
>> I have compiled Lasso connector for Apache 2.4 and it is here for download:
>>
>> https://www.dropbox.com/s/moweda213oqjrp3/Lasso8ConnectorforApache2.4.so.zip?dl=0
>>
>> ~asle
>>
>>> 18. okt. 2014 kl. 01.10 skrev Brad Lindsay <[hidden email]>:
>>>
>>> So I found the source code in "Lasso Professional 8/Documentation/3 - Language Guide/Examples/LCAPI/Connectors/Lasso Connector for Apache 2". It looks like you have to replace "remote_ip" with "client_ip" on line 485 and line 522 to get it to compile. (And, of course, you need the developer tools installed to compile)
>>>
>>> When it compiles, the name will be "Lasso8ConnectorforApache2.2.so". I would rename it to "Lasso8ConnectorforApache2.4.so", throw it in "/usr/libexec/apache2", update the Apache configuration, and restart Apache. Your milage may vary.
>>>
>>>
>>> Brad
>>>
>>>
>>> On 10/17/14, 7:00 PM, Brad Lindsay wrote:
>>>> I've built the connector for Lasso 8.5 and Apache 2.4. Unfortunately I
>>>> did this six months ago and don't remember what exactly I did. If I
>>>> remember correctly, the source code for the connector comes with the
>>>> installation. Also, I think there was one Apache API call I had to
>>>> update in the code to get it to compile, but after that it appears to
>>>> work just fine. I did this for my local development machine, but I can't
>>>> recommend doing this for a production machine - for that you should use
>>>> something that is supported by LassoSoft.
>>>>
>>>> Hope that helps,
>>>> Brad
>>>>
>>>>
>>>> On 10/17/14, 5:52 PM, Maxwell Klein wrote:
>>>>> Would be great to get a Lasso 8 connector for Apache 2.4.
>>>>>
>>>>> A possible workaround in the meantime might be to disable Apache 2.4
>>>>> and install Apache 2.2 separately via MacPorts or Homebrew. I got it
>>>>> mostly working a couple years ago but don’t recall all the steps, it
>>>>> hurt my head, but I’m pretty sure it’s doable if you’re familiar with
>>>>> the command line and have some spare time.
>>>>>
>>>>> -Max
>>>>>
>>>>>
>>>>>
>>>>>> On Oct 17, 2014, at 6:32 AM, Asle Benoni<[hidden email]> wrote:
>>>>>>
>>>>>> Hello,
>>>>>> I upgraded today to Yosemite and now Lasso 8.6.3 will not start. I
>>>>>> guess this is because the Lasso apache module is for apache 2.2 and
>>>>>> not 2.4
>>>>>>
>>>>>> httpd: Syntax error on line 542 of /private/etc/apache2/httpd.conf:
>>>>>> Syntax error on line 7 of /private/etc/apache2/users/lasso8.conf: API
>>>>>> module structure 'lasso8_module' in file
>>>>>> /usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled -
>>>>>> expected signature 41503234 but saw 41503232 - perhaps this is not an
>>>>>> Apache module DSO, or was compiled for a different Apache version?
>>>>>>
>>>>>> I read someone has compiled the Lasso8ConnectorforApache2.2.so for
>>>>>> the apache 2.4. Is there any place I can download this?
>>>>>>
>>>>>> /asle benoni
>>>>>>
>>>>>> #############################################################
>>>>>>
>>>>>> This message is sent to you because you are subscribed to
>>>>>> the mailing list Lasso [hidden email]
>>>>>> Official list archives available at http://www.lassotalk.com
>>>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>>>> Send administrative queries to<[hidden email]>
>>>>>
>>>>>
>>>>> #############################################################
>>>>>
>>>>> This message is sent to you because you are subscribed to
>>>>> the mailing list Lasso [hidden email]
>>>>> Official list archives available at http://www.lassotalk.com
>>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>>> Send administrative queries to<[hidden email]>
>>>
>>> #############################################################
>>>
>>> This message is sent to you because you are subscribed to
>>> the mailing list Lasso [hidden email]
>>> Official list archives available at http://www.lassotalk.com
>>> To unsubscribe, E-mail to: <[hidden email]>
>>> Send administrative queries to  <[hidden email]>
>>
>>
>> #############################################################
>>
>> This message is sent to you because you are subscribed to
>> the mailing list Lasso [hidden email]
>> Official list archives available at http://www.lassotalk.com
>> To unsubscribe, E-mail to: <[hidden email]>
>> Send administrative queries to  <[hidden email]>
>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

Peter D Bethke
Oh yes, and it may seem obvious, but make sure that in the /etc/apache2/users/lasso8.conf file (if used), change the LoadModule to Lasso8ConnectorforApache2.4.so from Lasso8ConnectorforApache2.2.so, which is the old module. This is also the conf file where you can add extra processors for lasso, to make lasso process .inc or .htm files by default, as well.

Peter

> On Dec 19, 2014, at 11:19 AM, Peter D Bethke <[hidden email]> wrote:
>
> I just went through this process myself - it works but its a pain because yosemite overwrites the existing http.conf file.
>
> Gotchas included re-activating the mod_rewrite mod (apache just throws an ISE - not very helpful. Was able to identify issue from looking at apache console), and also there seemed to be a syntax change that made a <directory> block not apply permissions correctly. That was fixed by copying the new default block parameters to my custom block.
>
> Peter
>
>> On Dec 17, 2014, at 3:52 PM, Lee Glickenhaus <[hidden email]> wrote:
>>
>> many thanks Asle
>>
>>
>>> On Dec 8, 2014, at 4:14 PM, Asle Benoni <[hidden email]> wrote:
>>>
>>> I have compiled Lasso connector for Apache 2.4 and it is here for download:
>>>
>>> https://www.dropbox.com/s/moweda213oqjrp3/Lasso8ConnectorforApache2.4.so.zip?dl=0
>>>
>>> ~asle
>>>
>>>> 18. okt. 2014 kl. 01.10 skrev Brad Lindsay <[hidden email]>:
>>>>
>>>> So I found the source code in "Lasso Professional 8/Documentation/3 - Language Guide/Examples/LCAPI/Connectors/Lasso Connector for Apache 2". It looks like you have to replace "remote_ip" with "client_ip" on line 485 and line 522 to get it to compile. (And, of course, you need the developer tools installed to compile)
>>>>
>>>> When it compiles, the name will be "Lasso8ConnectorforApache2.2.so". I would rename it to "Lasso8ConnectorforApache2.4.so", throw it in "/usr/libexec/apache2", update the Apache configuration, and restart Apache. Your milage may vary.
>>>>
>>>>
>>>> Brad
>>>>
>>>>
>>>> On 10/17/14, 7:00 PM, Brad Lindsay wrote:
>>>>> I've built the connector for Lasso 8.5 and Apache 2.4. Unfortunately I
>>>>> did this six months ago and don't remember what exactly I did. If I
>>>>> remember correctly, the source code for the connector comes with the
>>>>> installation. Also, I think there was one Apache API call I had to
>>>>> update in the code to get it to compile, but after that it appears to
>>>>> work just fine. I did this for my local development machine, but I can't
>>>>> recommend doing this for a production machine - for that you should use
>>>>> something that is supported by LassoSoft.
>>>>>
>>>>> Hope that helps,
>>>>> Brad
>>>>>
>>>>>
>>>>> On 10/17/14, 5:52 PM, Maxwell Klein wrote:
>>>>>> Would be great to get a Lasso 8 connector for Apache 2.4.
>>>>>>
>>>>>> A possible workaround in the meantime might be to disable Apache 2.4
>>>>>> and install Apache 2.2 separately via MacPorts or Homebrew. I got it
>>>>>> mostly working a couple years ago but don’t recall all the steps, it
>>>>>> hurt my head, but I’m pretty sure it’s doable if you’re familiar with
>>>>>> the command line and have some spare time.
>>>>>>
>>>>>> -Max
>>>>>>
>>>>>>
>>>>>>
>>>>>>> On Oct 17, 2014, at 6:32 AM, Asle Benoni<[hidden email]> wrote:
>>>>>>>
>>>>>>> Hello,
>>>>>>> I upgraded today to Yosemite and now Lasso 8.6.3 will not start. I
>>>>>>> guess this is because the Lasso apache module is for apache 2.2 and
>>>>>>> not 2.4
>>>>>>>
>>>>>>> httpd: Syntax error on line 542 of /private/etc/apache2/httpd.conf:
>>>>>>> Syntax error on line 7 of /private/etc/apache2/users/lasso8.conf: API
>>>>>>> module structure 'lasso8_module' in file
>>>>>>> /usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled -
>>>>>>> expected signature 41503234 but saw 41503232 - perhaps this is not an
>>>>>>> Apache module DSO, or was compiled for a different Apache version?
>>>>>>>
>>>>>>> I read someone has compiled the Lasso8ConnectorforApache2.2.so for
>>>>>>> the apache 2.4. Is there any place I can download this?
>>>>>>>
>>>>>>> /asle benoni
>>>>>>>
>>>>>>> #############################################################
>>>>>>>
>>>>>>> This message is sent to you because you are subscribed to
>>>>>>> the mailing list Lasso [hidden email]
>>>>>>> Official list archives available at http://www.lassotalk.com
>>>>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>>>>> Send administrative queries to<[hidden email]>
>>>>>>
>>>>>>
>>>>>> #############################################################
>>>>>>
>>>>>> This message is sent to you because you are subscribed to
>>>>>> the mailing list Lasso [hidden email]
>>>>>> Official list archives available at http://www.lassotalk.com
>>>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>>>> Send administrative queries to<[hidden email]>
>>>>
>>>> #############################################################
>>>>
>>>> This message is sent to you because you are subscribed to
>>>> the mailing list Lasso [hidden email]
>>>> Official list archives available at http://www.lassotalk.com
>>>> To unsubscribe, E-mail to: <[hidden email]>
>>>> Send administrative queries to  <[hidden email]>
>>>
>>>
>>> #############################################################
>>>
>>> This message is sent to you because you are subscribed to
>>> the mailing list Lasso [hidden email]
>>> Official list archives available at http://www.lassotalk.com
>>> To unsubscribe, E-mail to: <[hidden email]>
>>> Send administrative queries to  <[hidden email]>
>>
>>
>> #############################################################
>>
>> This message is sent to you because you are subscribed to
>> the mailing list Lasso [hidden email]
>> Official list archives available at http://www.lassotalk.com
>> To unsubscribe, E-mail to: <[hidden email]>
>> Send administrative queries to  <[hidden email]>
>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

Lee Glickenhaus-2
just “upgraded” to OS X 10.10.1 and it seems to have broken Lasso - anyone else seeing this? tips on a solution?

Asle’s connector was working just fine until this system update.  When I comment out the Lasso connector from http.conf all is good, but I get a server error (though no console message) as soon as I include the connector.




> On Dec 19, 2014, at 11:23 AM, Peter D Bethke <[hidden email]> wrote:
>
> Oh yes, and it may seem obvious, but make sure that in the /etc/apache2/users/lasso8.conf file (if used), change the LoadModule to Lasso8ConnectorforApache2.4.so from Lasso8ConnectorforApache2.2.so, which is the old module. This is also the conf file where you can add extra processors for lasso, to make lasso process .inc or .htm files by default, as well.
>
> Peter
>
>> On Dec 19, 2014, at 11:19 AM, Peter D Bethke <[hidden email]> wrote:
>>
>> I just went through this process myself - it works but its a pain because yosemite overwrites the existing http.conf file.
>>
>> Gotchas included re-activating the mod_rewrite mod (apache just throws an ISE - not very helpful. Was able to identify issue from looking at apache console), and also there seemed to be a syntax change that made a <directory> block not apply permissions correctly. That was fixed by copying the new default block parameters to my custom block.
>>
>> Peter
>>
>>> On Dec 17, 2014, at 3:52 PM, Lee Glickenhaus <[hidden email]> wrote:
>>>
>>> many thanks Asle
>>>
>>>
>>>> On Dec 8, 2014, at 4:14 PM, Asle Benoni <[hidden email]> wrote:
>>>>
>>>> I have compiled Lasso connector for Apache 2.4 and it is here for download:
>>>>
>>>> https://www.dropbox.com/s/moweda213oqjrp3/Lasso8ConnectorforApache2.4.so.zip?dl=0
>>>>
>>>> ~asle
>>>>
>>>>> 18. okt. 2014 kl. 01.10 skrev Brad Lindsay <[hidden email]>:
>>>>>
>>>>> So I found the source code in "Lasso Professional 8/Documentation/3 - Language Guide/Examples/LCAPI/Connectors/Lasso Connector for Apache 2". It looks like you have to replace "remote_ip" with "client_ip" on line 485 and line 522 to get it to compile. (And, of course, you need the developer tools installed to compile)
>>>>>
>>>>> When it compiles, the name will be "Lasso8ConnectorforApache2.2.so". I would rename it to "Lasso8ConnectorforApache2.4.so", throw it in "/usr/libexec/apache2", update the Apache configuration, and restart Apache. Your milage may vary.
>>>>>
>>>>>
>>>>> Brad
>>>>>
>>>>>
>>>>> On 10/17/14, 7:00 PM, Brad Lindsay wrote:
>>>>>> I've built the connector for Lasso 8.5 and Apache 2.4. Unfortunately I
>>>>>> did this six months ago and don't remember what exactly I did. If I
>>>>>> remember correctly, the source code for the connector comes with the
>>>>>> installation. Also, I think there was one Apache API call I had to
>>>>>> update in the code to get it to compile, but after that it appears to
>>>>>> work just fine. I did this for my local development machine, but I can't
>>>>>> recommend doing this for a production machine - for that you should use
>>>>>> something that is supported by LassoSoft.
>>>>>>
>>>>>> Hope that helps,
>>>>>> Brad
>>>>>>
>>>>>>
>>>>>> On 10/17/14, 5:52 PM, Maxwell Klein wrote:
>>>>>>> Would be great to get a Lasso 8 connector for Apache 2.4.
>>>>>>>
>>>>>>> A possible workaround in the meantime might be to disable Apache 2.4
>>>>>>> and install Apache 2.2 separately via MacPorts or Homebrew. I got it
>>>>>>> mostly working a couple years ago but don’t recall all the steps, it
>>>>>>> hurt my head, but I’m pretty sure it’s doable if you’re familiar with
>>>>>>> the command line and have some spare time.
>>>>>>>
>>>>>>> -Max
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>>> On Oct 17, 2014, at 6:32 AM, Asle Benoni<[hidden email]> wrote:
>>>>>>>>
>>>>>>>> Hello,
>>>>>>>> I upgraded today to Yosemite and now Lasso 8.6.3 will not start. I
>>>>>>>> guess this is because the Lasso apache module is for apache 2.2 and
>>>>>>>> not 2.4
>>>>>>>>
>>>>>>>> httpd: Syntax error on line 542 of /private/etc/apache2/httpd.conf:
>>>>>>>> Syntax error on line 7 of /private/etc/apache2/users/lasso8.conf: API
>>>>>>>> module structure 'lasso8_module' in file
>>>>>>>> /usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled -
>>>>>>>> expected signature 41503234 but saw 41503232 - perhaps this is not an
>>>>>>>> Apache module DSO, or was compiled for a different Apache version?
>>>>>>>>
>>>>>>>> I read someone has compiled the Lasso8ConnectorforApache2.2.so for
>>>>>>>> the apache 2.4. Is there any place I can download this?
>>>>>>>>
>>>>>>>> /asle benoni
>>>>>>>>
>>>>>>>> #############################################################
>>>>>>>>
>>>>>>>> This message is sent to you because you are subscribed to
>>>>>>>> the mailing list Lasso [hidden email]
>>>>>>>> Official list archives available at http://www.lassotalk.com
>>>>>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>>>>>> Send administrative queries to<[hidden email]>
>>>>>>>
>>>>>>>
>>>>>>> #############################################################
>>>>>>>
>>>>>>> This message is sent to you because you are subscribed to
>>>>>>> the mailing list Lasso [hidden email]
>>>>>>> Official list archives available at http://www.lassotalk.com
>>>>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>>>>> Send administrative queries to<[hidden email]>
>>>>>
>>>>> #############################################################
>>>>>
>>>>> This message is sent to you because you are subscribed to
>>>>> the mailing list Lasso [hidden email]
>>>>> Official list archives available at http://www.lassotalk.com
>>>>> To unsubscribe, E-mail to: <[hidden email]>
>>>>> Send administrative queries to  <[hidden email]>
>>>>
>>>>
>>>> #############################################################
>>>>
>>>> This message is sent to you because you are subscribed to
>>>> the mailing list Lasso [hidden email]
>>>> Official list archives available at http://www.lassotalk.com
>>>> To unsubscribe, E-mail to: <[hidden email]>
>>>> Send administrative queries to  <[hidden email]>
>>>
>>>
>>> #############################################################
>>>
>>> This message is sent to you because you are subscribed to
>>> the mailing list Lasso [hidden email]
>>> Official list archives available at http://www.lassotalk.com
>>> To unsubscribe, E-mail to: <[hidden email]>
>>> Send administrative queries to  <[hidden email]>
>>
>>
>> #############################################################
>>
>> This message is sent to you because you are subscribed to
>> the mailing list Lasso [hidden email]
>> Official list archives available at http://www.lassotalk.com
>> To unsubscribe, E-mail to: <[hidden email]>
>> Send administrative queries to  <[hidden email]>
>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

Peter D Bethke
Hi Lee,

Take a look at the console for apache (using the console app under utilities) - what kind of error is it throwing?

Peter

> On Dec 22, 2014, at 11:47 AM, Lee Glickenhaus (lists) <[hidden email]> wrote:
>
> just “upgraded” to OS X 10.10.1 and it seems to have broken Lasso - anyone else seeing this? tips on a solution?
>
> Asle’s connector was working just fine until this system update.  When I comment out the Lasso connector from http.conf all is good, but I get a server error (though no console message) as soon as I include the connector.
>
>
>
>
>> On Dec 19, 2014, at 11:23 AM, Peter D Bethke <[hidden email]> wrote:
>>
>> Oh yes, and it may seem obvious, but make sure that in the /etc/apache2/users/lasso8.conf file (if used), change the LoadModule to Lasso8ConnectorforApache2.4.so from Lasso8ConnectorforApache2.2.so, which is the old module. This is also the conf file where you can add extra processors for lasso, to make lasso process .inc or .htm files by default, as well.
>>
>> Peter
>>
>>> On Dec 19, 2014, at 11:19 AM, Peter D Bethke <[hidden email]> wrote:
>>>
>>> I just went through this process myself - it works but its a pain because yosemite overwrites the existing http.conf file.
>>>
>>> Gotchas included re-activating the mod_rewrite mod (apache just throws an ISE - not very helpful. Was able to identify issue from looking at apache console), and also there seemed to be a syntax change that made a <directory> block not apply permissions correctly. That was fixed by copying the new default block parameters to my custom block.
>>>
>>> Peter
>>>
>>>> On Dec 17, 2014, at 3:52 PM, Lee Glickenhaus <[hidden email]> wrote:
>>>>
>>>> many thanks Asle
>>>>
>>>>
>>>>> On Dec 8, 2014, at 4:14 PM, Asle Benoni <[hidden email]> wrote:
>>>>>
>>>>> I have compiled Lasso connector for Apache 2.4 and it is here for download:
>>>>>
>>>>> https://www.dropbox.com/s/moweda213oqjrp3/Lasso8ConnectorforApache2.4.so.zip?dl=0
>>>>>
>>>>> ~asle
>>>>>
>>>>>> 18. okt. 2014 kl. 01.10 skrev Brad Lindsay <[hidden email]>:
>>>>>>
>>>>>> So I found the source code in "Lasso Professional 8/Documentation/3 - Language Guide/Examples/LCAPI/Connectors/Lasso Connector for Apache 2". It looks like you have to replace "remote_ip" with "client_ip" on line 485 and line 522 to get it to compile. (And, of course, you need the developer tools installed to compile)
>>>>>>
>>>>>> When it compiles, the name will be "Lasso8ConnectorforApache2.2.so". I would rename it to "Lasso8ConnectorforApache2.4.so", throw it in "/usr/libexec/apache2", update the Apache configuration, and restart Apache. Your milage may vary.
>>>>>>
>>>>>>
>>>>>> Brad
>>>>>>
>>>>>>
>>>>>> On 10/17/14, 7:00 PM, Brad Lindsay wrote:
>>>>>>> I've built the connector for Lasso 8.5 and Apache 2.4. Unfortunately I
>>>>>>> did this six months ago and don't remember what exactly I did. If I
>>>>>>> remember correctly, the source code for the connector comes with the
>>>>>>> installation. Also, I think there was one Apache API call I had to
>>>>>>> update in the code to get it to compile, but after that it appears to
>>>>>>> work just fine. I did this for my local development machine, but I can't
>>>>>>> recommend doing this for a production machine - for that you should use
>>>>>>> something that is supported by LassoSoft.
>>>>>>>
>>>>>>> Hope that helps,
>>>>>>> Brad
>>>>>>>
>>>>>>>
>>>>>>> On 10/17/14, 5:52 PM, Maxwell Klein wrote:
>>>>>>>> Would be great to get a Lasso 8 connector for Apache 2.4.
>>>>>>>>
>>>>>>>> A possible workaround in the meantime might be to disable Apache 2.4
>>>>>>>> and install Apache 2.2 separately via MacPorts or Homebrew. I got it
>>>>>>>> mostly working a couple years ago but don’t recall all the steps, it
>>>>>>>> hurt my head, but I’m pretty sure it’s doable if you’re familiar with
>>>>>>>> the command line and have some spare time.
>>>>>>>>
>>>>>>>> -Max
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>>> On Oct 17, 2014, at 6:32 AM, Asle Benoni<[hidden email]> wrote:
>>>>>>>>>
>>>>>>>>> Hello,
>>>>>>>>> I upgraded today to Yosemite and now Lasso 8.6.3 will not start. I
>>>>>>>>> guess this is because the Lasso apache module is for apache 2.2 and
>>>>>>>>> not 2.4
>>>>>>>>>
>>>>>>>>> httpd: Syntax error on line 542 of /private/etc/apache2/httpd.conf:
>>>>>>>>> Syntax error on line 7 of /private/etc/apache2/users/lasso8.conf: API
>>>>>>>>> module structure 'lasso8_module' in file
>>>>>>>>> /usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled -
>>>>>>>>> expected signature 41503234 but saw 41503232 - perhaps this is not an
>>>>>>>>> Apache module DSO, or was compiled for a different Apache version?
>>>>>>>>>
>>>>>>>>> I read someone has compiled the Lasso8ConnectorforApache2.2.so for
>>>>>>>>> the apache 2.4. Is there any place I can download this?
>>>>>>>>>
>>>>>>>>> /asle benoni
>>>>>>>>>
>>>>>>>>> #############################################################
>>>>>>>>>
>>>>>>>>> This message is sent to you because you are subscribed to
>>>>>>>>> the mailing list Lasso [hidden email]
>>>>>>>>> Official list archives available at http://www.lassotalk.com
>>>>>>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>>>>>>> Send administrative queries to<[hidden email]>
>>>>>>>>
>>>>>>>>
>>>>>>>> #############################################################
>>>>>>>>
>>>>>>>> This message is sent to you because you are subscribed to
>>>>>>>> the mailing list Lasso [hidden email]
>>>>>>>> Official list archives available at http://www.lassotalk.com
>>>>>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>>>>>> Send administrative queries to<[hidden email]>
>>>>>>
>>>>>> #############################################################
>>>>>>
>>>>>> This message is sent to you because you are subscribed to
>>>>>> the mailing list Lasso [hidden email]
>>>>>> Official list archives available at http://www.lassotalk.com
>>>>>> To unsubscribe, E-mail to: <[hidden email]>
>>>>>> Send administrative queries to  <[hidden email]>
>>>>>
>>>>>
>>>>> #############################################################
>>>>>
>>>>> This message is sent to you because you are subscribed to
>>>>> the mailing list Lasso [hidden email]
>>>>> Official list archives available at http://www.lassotalk.com
>>>>> To unsubscribe, E-mail to: <[hidden email]>
>>>>> Send administrative queries to  <[hidden email]>
>>>>
>>>>
>>>> #############################################################
>>>>
>>>> This message is sent to you because you are subscribed to
>>>> the mailing list Lasso [hidden email]
>>>> Official list archives available at http://www.lassotalk.com
>>>> To unsubscribe, E-mail to: <[hidden email]>
>>>> Send administrative queries to  <[hidden email]>
>>>
>>>
>>> #############################################################
>>>
>>> This message is sent to you because you are subscribed to
>>> the mailing list Lasso [hidden email]
>>> Official list archives available at http://www.lassotalk.com
>>> To unsubscribe, E-mail to: <[hidden email]>
>>> Send administrative queries to  <[hidden email]>
>>
>>
>> #############################################################
>>
>> This message is sent to you because you are subscribed to
>> the mailing list Lasso [hidden email]
>> Official list archives available at http://www.lassotalk.com
>> To unsubscribe, E-mail to: <[hidden email]>
>> Send administrative queries to  <[hidden email]>
>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

Lee Glickenhaus-2
I’m an idiot — Lasso just didn’t start up when I restarted my machine.  Never even though to look (never happened before)

But all good - thanks for the good common sense Peter


> On Dec 22, 2014, at 12:02 PM, Peter D Bethke <[hidden email]> wrote:
>
> Hi Lee,
>
> Take a look at the console for apache (using the console app under utilities) - what kind of error is it throwing?
>
> Peter
>
>> On Dec 22, 2014, at 11:47 AM, Lee Glickenhaus (lists) <[hidden email]> wrote:
>>
>> just “upgraded” to OS X 10.10.1 and it seems to have broken Lasso - anyone else seeing this? tips on a solution?
>>
>> Asle’s connector was working just fine until this system update.  When I comment out the Lasso connector from http.conf all is good, but I get a server error (though no console message) as soon as I include the connector.
>>
>>
>>
>>
>>> On Dec 19, 2014, at 11:23 AM, Peter D Bethke <[hidden email]> wrote:
>>>
>>> Oh yes, and it may seem obvious, but make sure that in the /etc/apache2/users/lasso8.conf file (if used), change the LoadModule to Lasso8ConnectorforApache2.4.so from Lasso8ConnectorforApache2.2.so, which is the old module. This is also the conf file where you can add extra processors for lasso, to make lasso process .inc or .htm files by default, as well.
>>>
>>> Peter
>>>
>>>> On Dec 19, 2014, at 11:19 AM, Peter D Bethke <[hidden email]> wrote:
>>>>
>>>> I just went through this process myself - it works but its a pain because yosemite overwrites the existing http.conf file.
>>>>
>>>> Gotchas included re-activating the mod_rewrite mod (apache just throws an ISE - not very helpful. Was able to identify issue from looking at apache console), and also there seemed to be a syntax change that made a <directory> block not apply permissions correctly. That was fixed by copying the new default block parameters to my custom block.
>>>>
>>>> Peter
>>>>
>>>>> On Dec 17, 2014, at 3:52 PM, Lee Glickenhaus <[hidden email]> wrote:
>>>>>
>>>>> many thanks Asle
>>>>>
>>>>>
>>>>>> On Dec 8, 2014, at 4:14 PM, Asle Benoni <[hidden email]> wrote:
>>>>>>
>>>>>> I have compiled Lasso connector for Apache 2.4 and it is here for download:
>>>>>>
>>>>>> https://www.dropbox.com/s/moweda213oqjrp3/Lasso8ConnectorforApache2.4.so.zip?dl=0
>>>>>>
>>>>>> ~asle
>>>>>>
>>>>>>> 18. okt. 2014 kl. 01.10 skrev Brad Lindsay <[hidden email]>:
>>>>>>>
>>>>>>> So I found the source code in "Lasso Professional 8/Documentation/3 - Language Guide/Examples/LCAPI/Connectors/Lasso Connector for Apache 2". It looks like you have to replace "remote_ip" with "client_ip" on line 485 and line 522 to get it to compile. (And, of course, you need the developer tools installed to compile)
>>>>>>>
>>>>>>> When it compiles, the name will be "Lasso8ConnectorforApache2.2.so". I would rename it to "Lasso8ConnectorforApache2.4.so", throw it in "/usr/libexec/apache2", update the Apache configuration, and restart Apache. Your milage may vary.
>>>>>>>
>>>>>>>
>>>>>>> Brad
>>>>>>>
>>>>>>>
>>>>>>> On 10/17/14, 7:00 PM, Brad Lindsay wrote:
>>>>>>>> I've built the connector for Lasso 8.5 and Apache 2.4. Unfortunately I
>>>>>>>> did this six months ago and don't remember what exactly I did. If I
>>>>>>>> remember correctly, the source code for the connector comes with the
>>>>>>>> installation. Also, I think there was one Apache API call I had to
>>>>>>>> update in the code to get it to compile, but after that it appears to
>>>>>>>> work just fine. I did this for my local development machine, but I can't
>>>>>>>> recommend doing this for a production machine - for that you should use
>>>>>>>> something that is supported by LassoSoft.
>>>>>>>>
>>>>>>>> Hope that helps,
>>>>>>>> Brad
>>>>>>>>
>>>>>>>>
>>>>>>>> On 10/17/14, 5:52 PM, Maxwell Klein wrote:
>>>>>>>>> Would be great to get a Lasso 8 connector for Apache 2.4.
>>>>>>>>>
>>>>>>>>> A possible workaround in the meantime might be to disable Apache 2.4
>>>>>>>>> and install Apache 2.2 separately via MacPorts or Homebrew. I got it
>>>>>>>>> mostly working a couple years ago but don’t recall all the steps, it
>>>>>>>>> hurt my head, but I’m pretty sure it’s doable if you’re familiar with
>>>>>>>>> the command line and have some spare time.
>>>>>>>>>
>>>>>>>>> -Max
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>> On Oct 17, 2014, at 6:32 AM, Asle Benoni<[hidden email]> wrote:
>>>>>>>>>>
>>>>>>>>>> Hello,
>>>>>>>>>> I upgraded today to Yosemite and now Lasso 8.6.3 will not start. I
>>>>>>>>>> guess this is because the Lasso apache module is for apache 2.2 and
>>>>>>>>>> not 2.4
>>>>>>>>>>
>>>>>>>>>> httpd: Syntax error on line 542 of /private/etc/apache2/httpd.conf:
>>>>>>>>>> Syntax error on line 7 of /private/etc/apache2/users/lasso8.conf: API
>>>>>>>>>> module structure 'lasso8_module' in file
>>>>>>>>>> /usr/libexec/apache2/Lasso8ConnectorforApache2.2.so is garbled -
>>>>>>>>>> expected signature 41503234 but saw 41503232 - perhaps this is not an
>>>>>>>>>> Apache module DSO, or was compiled for a different Apache version?
>>>>>>>>>>
>>>>>>>>>> I read someone has compiled the Lasso8ConnectorforApache2.2.so for
>>>>>>>>>> the apache 2.4. Is there any place I can download this?
>>>>>>>>>>
>>>>>>>>>> /asle benoni
>>>>>>>>>>
>>>>>>>>>> #############################################################
>>>>>>>>>>
>>>>>>>>>> This message is sent to you because you are subscribed to
>>>>>>>>>> the mailing list Lasso [hidden email]
>>>>>>>>>> Official list archives available at http://www.lassotalk.com
>>>>>>>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>>>>>>>> Send administrative queries to<[hidden email]>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> #############################################################
>>>>>>>>>
>>>>>>>>> This message is sent to you because you are subscribed to
>>>>>>>>> the mailing list Lasso [hidden email]
>>>>>>>>> Official list archives available at http://www.lassotalk.com
>>>>>>>>> To unsubscribe, E-mail to:<[hidden email]>
>>>>>>>>> Send administrative queries to<[hidden email]>
>>>>>>>
>>>>>>> #############################################################
>>>>>>>
>>>>>>> This message is sent to you because you are subscribed to
>>>>>>> the mailing list Lasso [hidden email]
>>>>>>> Official list archives available at http://www.lassotalk.com
>>>>>>> To unsubscribe, E-mail to: <[hidden email]>
>>>>>>> Send administrative queries to  <[hidden email]>
>>>>>>
>>>>>>
>>>>>> #############################################################
>>>>>>
>>>>>> This message is sent to you because you are subscribed to
>>>>>> the mailing list Lasso [hidden email]
>>>>>> Official list archives available at http://www.lassotalk.com
>>>>>> To unsubscribe, E-mail to: <[hidden email]>
>>>>>> Send administrative queries to  <[hidden email]>
>>>>>
>>>>>
>>>>> #############################################################
>>>>>
>>>>> This message is sent to you because you are subscribed to
>>>>> the mailing list Lasso [hidden email]
>>>>> Official list archives available at http://www.lassotalk.com
>>>>> To unsubscribe, E-mail to: <[hidden email]>
>>>>> Send administrative queries to  <[hidden email]>
>>>>
>>>>
>>>> #############################################################
>>>>
>>>> This message is sent to you because you are subscribed to
>>>> the mailing list Lasso [hidden email]
>>>> Official list archives available at http://www.lassotalk.com
>>>> To unsubscribe, E-mail to: <[hidden email]>
>>>> Send administrative queries to  <[hidden email]>
>>>
>>>
>>> #############################################################
>>>
>>> This message is sent to you because you are subscribed to
>>> the mailing list Lasso [hidden email]
>>> Official list archives available at http://www.lassotalk.com
>>> To unsubscribe, E-mail to: <[hidden email]>
>>> Send administrative queries to  <[hidden email]>
>>
>>
>> #############################################################
>>
>> This message is sent to you because you are subscribed to
>> the mailing list Lasso [hidden email]
>> Official list archives available at http://www.lassotalk.com
>> To unsubscribe, E-mail to: <[hidden email]>
>> Send administrative queries to  <[hidden email]>
>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

Eric Schulz
Greetings,

Could this connector work on Mountain Lion?  Is there a difference
between 10.10 and 10.8?

Eric Schulz
University of Minnesota




>>>>>>> On Dec 8, 2014, at 4:14 PM, Asle Benoni <[hidden email]> wrote:
>>>>>>>
>>>>>>> I have compiled Lasso connector for Apache 2.4 and it is here for download:
>>>>>>>
>>>>>>> https://www.dropbox.com/s/moweda213oqjrp3/Lasso8ConnectorforApache2.4.so.zip?dl=0
>>>>>>>
>>>>>>> ~asle
>>>>>>>

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Lasso 8.6.3 compiled for Apache 2.4 on Yosemite ?

beaniite
Thank you Asle Benoni,

Your connector for Apache 2.4 on Yosemite worked perfectly.

---------------------------------
Gordon Nord
Nord Consultants


On Apr 30, 2015, at 12:22 PM, Eric Schulz <[hidden email]> wrote:

> Greetings,
>
> Could this connector work on Mountain Lion?  Is there a difference between 10.10 and 10.8?
>
> Eric Schulz
> University of Minnesota
>
>
>
>
>>>>>>>> On Dec 8, 2014, at 4:14 PM, Asle Benoni <[hidden email]> wrote:
>>>>>>>>
>>>>>>>> I have compiled Lasso connector for Apache 2.4 and it is here for download:
>>>>>>>>
>>>>>>>> https://www.dropbox.com/s/moweda213oqjrp3/Lasso8ConnectorforApache2.4.so.zip?dl=0
>>>>>>>>
>>>>>>>> ~asle
>>>>>>>>
>
> #############################################################
>
> This message is sent to you because you are subscribed to
> the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>


#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>